﻿class SoundBoard
{
	// sounds
	static var SOUND_BLASTER_XWING:Sound;
	static var SOUND_BLASTER_HIT:Sound;
	static var SOUND_BLASTER_PHOTON:Sound;
	static var SOUND_BLASTER_TIE_FIGHTER:Sound;	
	static var SOUND_BLASTER_TIE_INTERCEPTOR:Sound;	
	static var SOUND_SHIP_TIE_FLYBY:Sound;
	static var SOUND_START_GAME:Sound;
	
	static var SOUND_TAUNT_1:Sound;
	static var SOUND_TAUNT_2:Sound;
	static var SOUND_TAUNT_3:Sound;
	
	static var SOUND_GRATZ_1:Sound;
	static var SOUND_GRATZ_2:Sound;
	static var SOUND_GRATZ_3:Sound;
	
	static var SOUND_BOSS_LEVEL:Sound;
	
	// triggers	
	static var SOUND_TRIGGER_FLYBY:String = "SOUND_TRIGGER_FLYBY";
	
	static function initialize()
	{
		trace("Sound board initializing");
		
		SOUND_BLASTER_XWING = new Sound(_root);
		SOUND_BLASTER_XWING.attachSound("SOUND_BLASTER_XWING");
		
		SOUND_BLASTER_HIT = new Sound(_root);
		SOUND_BLASTER_HIT.attachSound("SOUND_BLASTER_HIT");
		
		SOUND_SHIP_TIE_FLYBY = new Sound(_root);
		SOUND_SHIP_TIE_FLYBY.attachSound("SOUND_SHIP_TIE_FLYBY");		
		
		SOUND_BLASTER_TIE_FIGHTER = new Sound(_root);
		SOUND_BLASTER_TIE_FIGHTER.attachSound("SOUND_BLASTER_TIE_FIGHTER");		
		
		SOUND_BLASTER_TIE_INTERCEPTOR = new Sound(_root);
		SOUND_BLASTER_TIE_INTERCEPTOR.attachSound("SOUND_BLASTER_TIE_INTERCEPTOR");
		
		SOUND_BLASTER_PHOTON = new Sound(_root);
		SOUND_BLASTER_PHOTON.attachSound("SOUND_BLASTER_PHOTON");		
		
		SOUND_START_GAME = new Sound(_root);
		SOUND_START_GAME.attachSound("SOUND_START_GAME");		
		
		SOUND_TAUNT_1 = new Sound(_root);
		SOUND_TAUNT_1.attachSound("SOUND_TAUNT_1");		
		
		SOUND_TAUNT_2 = new Sound(_root);
		SOUND_TAUNT_2.attachSound("SOUND_TAUNT_2");		
		
		SOUND_TAUNT_3 = new Sound(_root);
		SOUND_TAUNT_3.attachSound("SOUND_TAUNT_3");		
		
		SOUND_GRATZ_1 = new Sound(_root);
		SOUND_GRATZ_1.attachSound("SOUND_GRATZ_1");		
		
		SOUND_GRATZ_2 = new Sound(_root);
		SOUND_GRATZ_2.attachSound("SOUND_GRATZ_2");		
		
		SOUND_GRATZ_3 = new Sound(_root);
		SOUND_GRATZ_3.attachSound("SOUND_GRATZ_3");
		
		SOUND_BOSS_LEVEL = new Sound(_root);
		SOUND_BOSS_LEVEL.attachSound("SOUND_BOSS_LEVEL");
	}
	
	static function playSound(sound:Sound)
	{
		sound.start();
	}
}