﻿class XWingPlayerShip extends PlayerShip
{
	static function spawn(
						   x:Number,
						   y:Number,
						   rotation:Number,
						   scale:Number)
	{
		trace("Creating xwing player ship");
		
		var index:Number = GameState.getPlayerShipIndex();
		
		var shipIdentifier:String = "PlayerXWing" + index;		
		
		var ship:MovieClip = _root.attachMovie(
			"XWing",
			shipIdentifier,
			GameState.getPlayerShipDepth() + index);						  
		
		// size and position the shit!
		ship._x = x;
		ship._y = y;
		ship._height *= scale;
		ship._width *= scale;
		ship._rotation = rotation;
		ship._speed = 10;	
		ship._fireDelay = 175;
		ship._isPlayer = true;		
		ship._health = 250;
		
		return ship;
	}	
	
	public function attack()
	{
		if (!canAttack())
			return;

		GameState.addProjectile(
								Projectile.spawnRebelBlaster(
														this,
														_x - (_width / 2),
														_y,
														_rotation,
														1));		
		
		GameState.addProjectile(
								Projectile.spawnRebelBlaster(
														this,
														_x + (_width / 2),
														_y,
														_rotation,
														1));				
		_lastFireTime = GameState.getFrameTime();
	}
}